Kerbal Space Program - Bug #19341

Craft disappear when tabbing between them
07/01/2018 11:28 AM - XLjedi

Status: Ready to Test Start date: 07/01/2018
Severity: Low % Done: 80%
Assignee:

Category: Gameplay

Target version: 1.12.0

Version: 1.4.4 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

| first noticed this bug in 1.4.4 although it's possible it existed before and | just didn't encounter a situation to trigger it.

The bug occurs when | have 3 craft in operation during a mission. Assume "Craft 1" is a ship floating a 10-20km offshore of the KSC.
"Craft 2" is a cargo seaplane, and "Craft 3" is a rover.

| start the mission by loading Craft 3 onto Craft 2 on the runway at the KSC. | then fly the seaplane with rover cargo out to "Craft 1"
and land within 1500-2000m of the ship. | then undock the rover from the seaplane and prepare to maneuver Craft 3 (in this case a
submersible) out of the seaplane. During this process | may need to tab back and forth between the seaplane and rover a couple
times. During this craft switching process, if | happen to inadvertently tab to Craft 1 (the large ship) and then tab again to get back to
the seaplane and rover, either the seaplane or the rover just completely disappears.

Here's a 25 second video showing exactly what happens. In this case, the seaplane disappears.
https://youtu.be/k6dO61USTe0

The 3 craft used in the video are available here if you'd like to try to reproduce it exactly.

https://kerbalx.com/XLjedi/HCS-16-Hurricane
https://kerbalx.com/XLjedi/KC-09-Drake
https://kerbalx.com/XLjedi/UV-14-Barracuda

History

#1-07/01/2018 12:13 PM - XLjedi
Additionally, I've noticed that once this bug occurs, if | try to Alt-Tab out of the game to the desktop, the game crashes so hard that it completely locks
the PC and | can't even end the process with the Ctrl-Alt-Del window. So | then have to power off the PC and do a complete reboot.

This morning when it happened the game did throw up a notice window stating the game had crashed, and mentioned the following craft report had
been generated: "Crash_2018-07-01_064436" However, when | tried to find this crash report directory in the KSP root folder, none existed... |
suspect the hard PC lockup and reboot caused the report to not actually be generated and/or saved to the root folder as would be expected.

| can't actually do a screen capture of the little game crash window that the game throws, because technically... | can't tab out of the game when it
crashes like this. |just see it as an option to select when | try to Alt-Tab out of the game. Of course, if | select it, it never takes me there and | have to
reboot the PC to regain any control.

#2 - 07/01/2018 09:10 PM - Anonymous
- File output_log.zip added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

After version 1.4, in Windows, logs and crash-dumps are put in USER\AppData\LocalLow\Squad\Kerbal Space Program\

| have uploaded my log where | reproduced the problem. The interesting messages are
Packing HCS-16 Hurricane for orbit

[F: 83745]: Vessel HCS-16 Hurricane was on-rails at 101.2 kPa pressure and was destroyed.
[Vessel HCS-16 Hurricane]: Valentina Kerman are now dead.

Trying again, the smaller craft was the one to disappear
Packing UV-14 Barracuda for orbit
[F: 118259]: Vessel UV-14 Barracuda was on-rails at 101.3 kPa pressure and was destroyed
[Vessel UV-14 Barracuda): Jebediah Kerman are now dead.

By contrast, | have not seen any reports of trouble from the people making turbo-prop aircraft, who switch quite a lot between vessels in the
atmosphere.

#3 - 07/01/2018 11:56 PM - Anonymous
- File deleted (output_log.zip)

#4 - 07/03/2018 10:40 AM - AlffromKerbal

| think it would be most helpful to provide a savegame as well, so they just could start to switch around.

#5 - 07/06/2018 12:08 AM - JPLRepo

Can you supply a save file that can be used to reproduce the problem?

#7 - 07/07/2018 07:56 AM - Anonymous
- File OHara_output_log.zip added

- File OHara_confirmation.sfs added

| attached a quick-save with my reproduction, and output_log.txt. After loading the quicksave, throttle up the small boat and let it bump the large boat,
then "' twice to switch to the aircraft (which is too far away to switch to directly from a moving craft). The large boat disappears.

There was a comment on the forum about it being strange that a vessel on the surface was destroyed by pressure, but the large ship here was
removed like a spent booster re-entering the atmosphere. The message "<craft> was on-rails at 101.2 kPa pressure and was destroyed" is the same
as we usually get in the log file for boosters that suffer unattended re-entry. Usually the pressure is 1.0 kPa for the upper atmosphere; 101.2 kPa is
almost exactly standard pressure at sea level.

Smaller boats (save attached) also show the problem. It seems the boats need to touch in order for one to disappear. I'm not sure if one needs to be
moving; because it is hard to make boats absolutely still and be touching. | could not reproduce it with rovers on the ground.

#8 - 07/07/2018 01:43 PM - AlffromKerbal
Maybe these are completly different things, but if i would guess....

When starting on Runway, you see how a plane "gets" mass and the weight is damped by gears or struts. If i would compare with a mass on water
without dampening possibilities, hullparts get full stress and so getting destroyed in the process.

Tolerances on Runway due to dampening possibility are much higher than on water (i think), where your damper is the water itself only (which doesn't
count as such i think). Switching through vessels, even when moving should even decrease that tolerance.

Did you encounter that problem as well, when you only switch when vessels are stopped?

#9 - 07/08/2018 02:55 AM - Anonymous
- File boats.sfs added

#10 - 04/07/2020 12:23 PM - XLjedi

This one got fixed at some point... | don't recall which version, but | do remember seeing it listed in the bug fixes section of one of the updates and |
haven't seen this happening for a while. Probably fixed in 1.7 or earlier.

It has been fixed. Thank you!
#11 - 06/24/2021 10:46 PM - victorr
- Status changed from Confirmed to Ready to Test

- Target version set to 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

Files

OHara_output_log.zip 37.9 KB 07/07/2018 Anonymous
OHara_confirmation.sfs 865 KB 07/07/2018 Anonymous
boats.sfs 291 KB 07/08/2018 Anonymous
